Bug 48020 - KCP+ Opera support for mod_auth_digest
Summary: KCP+ Opera support for mod_auth_digest
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_auth_digest (show other bugs)
Version: 2.2.14
Hardware: All All
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2009-10-17 10:09 UTC by c3695839
Modified: 2018-11-07 21:08 UTC (History)
0 users



Attachments
Patch for KCP+ Opera support (11.08 KB, patch)
2009-10-17 10:09 UTC, c3695839
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description c3695839 2009-10-17 10:09:24 UTC
Created attachment 24390 [details]
Patch for KCP+ Opera support

Currently Opera Mobile in KCP+ (some of Japanese au cell phones) has two bugs
about digest authentication.
1. md5 calculation bug
If the md5 is 1234567890abcdef, 1234567890xxxxxx is sent instead. a-f are
replaced by "x".
2. nonce bug
A fixed value "V8fPIiB2BAA=d2270dedcdfcd369a269bdfcc2e52c2d05e71831" is sent as
nonce instead of the one from apache-httpd.

I have reported this to au, but they don't seem to change anything, so I have
created a patch to fix this issue forcibly.

Use the attached file with following .htaccess (HostnameLookups has to be On or
Double):
SetEnvIf Remote_Host "\.ezweb\.ne\.jp$" AuthDigestEnableKCPPlusHack=On
Comment 1 c3695839 2009-10-18 07:32:57 UTC
Comment on attachment 24390 [details]
Patch for KCP+ Opera support

Sorry patch attribute added by test account on mistake
Comment 2 William A. Rowe Jr. 2018-11-07 21:08:33 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.